/**
 * @file test/cfo/tools/regression/utils_reg.cpp
 * @author The RECORD Development Team (INRA) and the VLE Development Team
 * See the AUTHORS or Authors.txt file
 */

/*
 * Copyright (C) 2009-2010 INRA
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef TEST_CFO_TOOLS_REGRESSION_UTILS_REG_HPP_
#define TEST_CFO_TOOLS_REGRESSION_UTILS_REG_HPP_

#ifndef M_PI
#define M_PI 3.14159265358979323846264338327
#endif

double bohachevsky(double x1, double x2)
{
    return pow(x1,2) + 2 * pow(x2,2) - 0.3 * cos(3 * M_PI * x1)
                                       - 0.4 * cos(4 * M_PI * x2) + 0.7;
}

#endif
